Genivia - saml2__EvidenceType::__saml2__union_EvidenceType Struct Reference

|  | Home | Documentation | saml2__EvidenceType::__saml2__union_EvidenceType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml2__EvidenceType::__saml2__union_EvidenceType Struct Reference

`#include <saml2.h>`

Collaboration diagram for saml2__EvidenceType::__saml2__union_EvidenceType:
[legend]

## Public Attributes
char * | saml2__AssertionIDRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionIDRef. More...
char * | saml2__AssertionURIRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionURIRef. More...
struct saml2__AssertionType * | saml2__Assertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Assertion. More...
struct saml2__EncryptedElementType * | saml2__EncryptedAssertion
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedAssertion. More...

## Member Data Documentation

struct saml2__AssertionType* saml2__EvidenceType::__saml2__union_EvidenceType::saml2__Assertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"Assertion.

Choice of element (one of multiple choices).

char* saml2__EvidenceType::__saml2__union_EvidenceType::saml2__AssertionIDRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionIDRef.

Choice of element (one of multiple choices).

char* saml2__EvidenceType::__saml2__union_EvidenceType::saml2__AssertionURIRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AssertionURIRef.

Choice of element (one of multiple choices).

struct saml2__EncryptedElementType* saml2__EvidenceType::__saml2__union_EvidenceType::saml2__EncryptedAssertion

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"EncryptedAssertion.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h